aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.VerifyDomainIdentity

Synopsis

- data VerifyDomainIdentity = VerifyDomainIdentity Text
- data VerifyDomainIdentityResponse = VerifyDomainIdentityResponse Text

# Documentation

data VerifyDomainIdentity #

Verify ownership of a domain.

Constructors

VerifyDomainIdentity Text |

#### Instances

Instances details

SignQuery VerifyDomainIdentity # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type ServiceConfiguration VerifyDomainIdentity |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ServiceConfiguration VerifyDomainIdentity = SesConfiguration

Methods

signQuery :: VerifyDomainIdentity -> ServiceConfiguration VerifyDomainIdentity queryType -> SignatureData -> SignedQuery #

Show VerifyDomainIdentity # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity Methods showsPrec :: Int -> VerifyDomainIdentity -> ShowS # show :: VerifyDomainIdentity -> String # showList :: [VerifyDomainIdentity] -> ShowS #
Eq VerifyDomainIdentity # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity Methods (==) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool # (/=) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool #
Ord VerifyDomainIdentity # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Methods

compare :: VerifyDomainIdentity -> VerifyDomainIdentity -> Ordering #

(<) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool #

(<=) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool #

(>) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool #

(>=) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool #

max :: VerifyDomainIdentity -> VerifyDomainIdentity -> VerifyDomainIdentity #

min :: VerifyDomainIdentity -> VerifyDomainIdentity -> VerifyDomainIdentity #

ResponseConsumer VerifyDomainIdentity VerifyDomainIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type ResponseMetadata VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ResponseMetadata VerifyDomainIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainIdentity -> IORef (ResponseMetadata VerifyDomainIdentityResponse) -> HTTPResponseConsumer VerifyDomainIdentityResponse #

Transaction VerifyDomainIdentity VerifyDomainIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity
type ServiceConfiguration VerifyDomainIdentity # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ServiceConfiguration VerifyDomainIdentity = SesConfiguration

data VerifyDomainIdentityResponse #

The response sent back by Amazon SES after a `VerifyDomainIdentity` command.

Constructors

VerifyDomainIdentityResponse Text |

#### Instances

Instances details

AsMemoryResponse VerifyDomainIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type MemoryResponse VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type MemoryResponse VerifyDomainIdentityResponse = VerifyDomainIdentityResponse

Methods

loadToMemory :: VerifyDomainIdentityResponse -> ResourceT IO (MemoryResponse VerifyDomainIdentityResponse) #

Show VerifyDomainIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity Methods showsPrec :: Int -> VerifyDomainIdentityResponse -> ShowS # show :: VerifyDomainIdentityResponse -> String # showList :: [VerifyDomainIdentityResponse] -> ShowS #
Eq VerifyDomainIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity Methods (==) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool # (/=) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool #
Ord VerifyDomainIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Methods

compare :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Ordering #

(<) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool #

(<=) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool #

(>) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool #

(>=) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool #

max :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse #

min :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse #

ResponseConsumer VerifyDomainIdentity VerifyDomainIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type ResponseMetadata VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ResponseMetadata VerifyDomainIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainIdentity -> IORef (ResponseMetadata VerifyDomainIdentityResponse) -> HTTPResponseConsumer VerifyDomainIdentityResponse #

Transaction VerifyDomainIdentity VerifyDomainIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity
type MemoryResponse VerifyDomainIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type MemoryResponse VerifyDomainIdentityResponse = VerifyDomainIdentityResponse
type ResponseMetadata VerifyDomainIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ResponseMetadata VerifyDomainIdentityResponse = SesMetadata